## xcape 1.1

=== Makefile ===
INSTALL=install
PREFIX=/usr
MANDIR?=/local/man/man1

TARGET := xcape

CFLAGS += -Wall
CFLAGS += `pkg-config --cflags xtst x11`
LDFLAGS += `pkg-config --libs xtst x11`
LDFLAGS += -pthread

$(TARGET): xcape.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

install:
	$(INSTALL) -Dm 755 $(TARGET) $(DESTDIR)$(PREFIX)/bin/$(TARGET)
	$(INSTALL) -Dm 644 xcape.1 $(DESTDIR)$(PREFIX)$(MANDIR)/xcape.1

clean:
	rm $(TARGET)

.PHONY: clean

=== debian/changelog ===
xcape (1.1-1) unstable; urgency=low

  * [495b857] Initial release (Closes: #739005)
  * [a5e231b] Set DESTDIR and MANDIR appropriately

 -- Jon Bernard <jbernard@debian.org>  Mon, 05 May 2014 13:47:16 -0400

=== debian/control ===
Source: xcape
Section: x11
Priority: optional
Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 9), pkg-config, libx11-dev, libxtst-dev
Standards-Version: 3.9.5
Homepage: https://github.com/alols/xcape
Vcs-Git: git://anonscm.debian.org/collab-maint/xcape.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xcape.git;a=summary

Package: xcape
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Configure modifier keys to act as other keys when pressed and released
 xcape allows you to use a modifier key as another key when pressed and
 released on its own.  Note that it is slightly slower than pressing the
 original key, because the pressed event does not occur until the key is
 released.  The default behaviour is to generate the Escape key when Left
 Control is pressed and released on its own.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/xcape MANDIR=/share/man/man1 install

override_dh_auto_clean:

## xcape 1.2

=== Makefile ===
INSTALL=install
PREFIX=/usr
MANDIR?=/local/man/man1

TARGET := xcape

CFLAGS += -Wall
CFLAGS += `pkg-config --cflags xtst x11`
LDFLAGS += `pkg-config --libs xtst x11`
LDFLAGS += -pthread

all: $(TARGET)

$(TARGET): xcape.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

install:
	$(INSTALL) -d -m 0755 $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -d -m 0755 $(DESTDIR)$(PREFIX)$(MANDIR)
	$(INSTALL) -m 0755 $(TARGET) $(DESTDIR)$(PREFIX)/bin/$(TARGET)
	$(INSTALL) -m 0644 xcape.1 $(DESTDIR)$(PREFIX)$(MANDIR)/xcape.1

clean:
	rm $(TARGET)

.PHONY: all clean install

=== debian/changelog ===
xcape (1.2-3build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:56:35 +0200

xcape (1.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces

  [ Jon Bernard ]
  * [ca7e164] Fix cross building by removing hard coded pkg-config.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #923101)

 -- Jon Bernard <jbernard@debian.org>  Tue, 27 Aug 2019 16:41:42 +0000

xcape (1.2-2) unstable; urgency=medium

  * [ac37b5c] Move to DEP-14 branch naming
  * [47f1b67] Move git to salsa.debian.org
  * [a6f9e77] Bump standards version, no changes necessary
  * [4a24cbb] Enable hardening, lintian is happier now

 -- Jon Bernard <jbernard@debian.org>  Thu, 08 Feb 2018 08:05:49 -0500

xcape (1.2-1) unstable; urgency=medium

  * [6c0f2d8] New upstream version 1.2

 -- Jon Bernard <jbernard@debian.org>  Thu, 14 Sep 2017 13:50:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: xcape
 Section: x11
 Priority: optional
-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), pkg-config, libx11-dev, libxtst-dev
-Standards-Version: 3.9.5
+Standards-Version: 4.1.3
 Homepage: https://github.com/alols/xcape
-Vcs-Git: git://anonscm.debian.org/collab-maint/xcape.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xcape.git;a=summary
+Vcs-Browser: https://salsa.debian.org/debian/xcape
+Vcs-Git: https://salsa.debian.org/debian/xcape.git
 
 Package: xcape
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/xcape MANDIR=/share/man/man1 install

override_dh_auto_clean:
